Skip to main content
POST
Generate a reverse quote
v1 sunsets December 31, 2026. Migrate to v2 — see the migration guide.
Generates a time-limited quote that previews the amounts and differential for reversing an existing trade. Pass the returned quote’s id to Reverse a trade. Use this endpoint to:
  • Preview the reversal amount and differential before committing
  • Get a guaranteed rate for the reversal
  • Decide whether a reversal is worth executing
Idempotency is supported on v2 and v3 for this endpoint. v1 does not support idempotency keys — see Migration guide.

Errors

See the full v1 error reference.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string<uuid>

V2 only. Unique key for an idempotent reverse quote request. Valid for 30 minutes.

Example:

"323e4567-e89b-42d3-a456-426614174000"

Path Parameters

orgId
string
required

Body

application/json
tradeId
string<uuid>
required

Unique identifier of the trade to reverse

Example:

"123e4567-e89b-42d3-a456-426614174000"

quoteForSeconds
enum<number>
default:3

Requested reverse quote expiry validity in seconds.

Available options:
3,
15,
30,
45,
60
Example:

30

Response

Reverse quote generated successfully

data
object
required
status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Data fetched successfully"